Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Class | PVector

Name

### dist()

Examples

    PVector  v1 = new PVector(10, 20, 0);
    PVector  v2 = new PVector(60, 80, 0);
    float d = v1.dist(v2);
    println(d);  // Prints "78.10249"

    PVector  v1 = new PVector(10, 20, 0);
    PVector  v2 = new PVector(60, 80, 0);
    float d = PVector.dist(v1, v2);
    println(d);  // Prints "78.10249"

Description | Calculates the Euclidean distance between two points (considering a point as a vector object).

Syntax

    vec.dist(v)
    PVector.dist(v1, v2)

Parameters

vec | any variable of type PVector
v | PVector: the x, y, and z coordinates of a PVector object
v1 | PVector: the x, y, and z coordinates of a PVector object
v2 | PVector: the x, y, and z coordinates of a PVector object

Returns | float
Usage | Web & Application

Updated on November 22, 2008 08:39:26pm PST